/* 
 * File:   wifi.h
 * Author: Owner
 *
 * Created on November 16, 2017, 1:52 PM
 */

#ifndef WIFI_H
#define	WIFI_H

#ifdef	__cplusplus
extern "C" {
#endif
    
#include <stdlib.h>
    
#include "pt_cornell_1_2.h"
#include "pwm.h"
    
#define MAXWIFILINELENGTH 100

char PT_wifi_buffer[MAXWIFILINELENGTH];	//buffer for storing string from UART2

// Floating point latitude and longitude value in degrees.
float phone_latitude, phone_longitude, phone_altitude;
// Fixed point latitude and longitude value with degrees stored in units of 1/100000 degrees,
// and minutes stored in units of 1/100000 degrees.  See pull #13 for more details:
//   https://github.com/adafruit/Adafruit-GPS-Library/pull/13
int phone_latitude_fixed, phone_longitude_fixed;
float phone_latitudeDegrees, phone_longitudeDegrees;
float phone_geoidheight, phone_altitude;
char phone_lat, phone_lon, phone_mag;

int PT_Get_WiFi(struct pt *pt);
void wifi_init();
int parse_wifi(char *s);
char parseHex_wifi(char c);

#ifdef	__cplusplus
}
#endif

#endif	/* WIFI_H */

